// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#define MAINFRAME ((CMainFrame *) AfxGetApp()->m_pMainWnd)

#define WM_UPDATE_MENU WM_USER + 1

class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

	BOOL
		// Flag to indicate if command bar should be shown
		m_bShowCommandBar;

#if _WIN32_WCE > 200
	CCeCommandBar	
		m_cCommandBar;
#endif

// Attributes
public:
	int
		// Current command bar height
		m_nCmdBarHeight;

// Operations
public:
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnUpdateMenu();
	afx_msg void OnSmallfont();
	afx_msg void OnBoldfont();
	afx_msg void OnUpdateBoldfont(CCmdUI* pCmdUI);
	afx_msg void OnUpdateSmallfont(CCmdUI* pCmdUI);
	afx_msg void OnColours();
	afx_msg void OnUpdateColours(CCmdUI* pCmdUI);
	afx_msg void OnStyles();
	afx_msg void OnUpdateStyles(CCmdUI* pCmdUI);
	afx_msg void OnExpandabbrev();
	afx_msg void OnUpdateExpandabbrev(CCmdUI* pCmdUI);
	afx_msg void OnIgnoreerrors();
	afx_msg void OnUpdateIgnoreerrors(CCmdUI* pCmdUI);
	afx_msg void OnTandy();
	afx_msg void OnUpdateTandy(CCmdUI* pCmdUI);
	afx_msg void OnShowcommandbar();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTerminalfont();
	afx_msg void OnUpdateTerminalfont(CCmdUI* pCmdUI);
	afx_msg void OnUpdateShowcommandbar(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
